
CoCoA-5 - Support #851

Release: CoCoA-5.2.0

23 Mar 2016 10:24 - Anna Maria Bigatti

Status: Closed Start date: 01 Aug 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 14.01 hours

Target version: CoCoA-5.2.0 spring 2017 Spent time: 13.80 hours

Description

Everything for the release

1. Redmine Roadmap: close or postpone issue

2. Redmine Release issues: check percentages, check timings

3. Finalize

1. <version number for CoCoALib release> configuration/version

2. <version number for CoCoA-5 release> CoCoA-5/release-files/version

3. <cvs checkout in snapshot dir>

1. cd <snapshotdir>

2. configure --again

3. make

4. cd src/CoCoA-5

5. make doc

6. make ManExamples   (and search ERROR in ManExamples-out)

RELEASE FOR MAC FOR LINUX

1. cd src/CoCoA-5/release-files

2. ./release-mac.sh (local)

3. ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

RELEASE COCOALIB

1. <~/shell-scripts/cocoalib-cvs-snapshot>

2. ---- make release for CoCoALib ----

RELEASE FOR WIN

1. copy cocoalib tgz on windows virtual machine

2. compile windows text version on virtual machine, copy CoCoAInterpreter from SharedFolder into local dir

3. ./release-win.sh

4. (ask someone for windows gui version...)

1. update /Volumes/WWW/webcocoa/download/download5.shtml

2. update /Volumes/WWW/webcocoa/download/RelNotes.shtml

[[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

1. upload manual

2. publish manual (arXiv?  ResearchGate?)

1. close release on Redmine

---> send message to facebook page

---> send email

---> update list with undelivered emails

Related issues:

Related to CoCoALib - Support #944: Release: CoCoALib-0.99550 (together with ... Closed 08 Apr 2014

Related to CoCoA-5 - Bug #922: Release for MacOS: compilation on 10.11 incomp... Closed 16 Sep 2016

17 Apr 2024 1/4

http://cocoa.dima.unige.it/download/RelNotes.shtml


Related to CoCoA-5 - Design #766: CoCoA version number: copy CoCoALib Closed 02 Sep 2015

Related to CoCoALib - Support #1149:  Release: CoCoALib-0.99600 (together wit... Closed 17 Jan 2018 06 Aug 2018

Copied from CoCoA-5 - Support #843: Release: CoCoA-5.1.3 and CoCoA-5.1.4 Closed 01 Aug 2014

Copied to CoCoA-5 - Support #1061: Release: CoCoA-5.2.2 Closed 01 Aug 2014

History

#1 - 23 Mar 2016 10:24 - Anna Maria Bigatti

- Copied from Support #843: Release: CoCoA-5.1.3 and CoCoA-5.1.4 added

#2 - 23 Mar 2016 10:27 - Anna Maria Bigatti

- Description updated

#3 - 12 Oct 2016 15:58 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

First round of make ManExamples

(checked and made a few fixes in Makefile)

#4 - 12 Oct 2016 16:02 - Anna Maria Bigatti

Add also to check whether the CoCoA-5 tests pass with BackwardCompatible.cpkg5

(automatize this step)

#5 - 12 Oct 2016 16:12 - Anna Maria Bigatti

- Related to Support #944: Release: CoCoALib-0.99550 (together with CoCoA-5.2.0) added

#6 - 12 Oct 2016 16:18 - Anna Maria Bigatti

- Related to Bug #922: Release for MacOS: compilation on 10.11 incompatible with 10.6.8 added

#7 - 12 Oct 2016 16:18 - Anna Maria Bigatti

- Description updated

#8 - 07 Nov 2016 15:55 - Anna Maria Bigatti

First pre-release for linux (64-bit)

#9 - 27 Apr 2017 18:29 - Anna Maria Bigatti

- Subject changed from Release: CoCoA-5.1.6 to Release: CoCoA-5.2.0

make ManExamples

done

#10 - 28 Apr 2017 09:41 - Anna Maria Bigatti

- Description updated

#11 - 28 Apr 2017 15:49 - Anna Maria Bigatti

- Description updated

#12 - 28 Apr 2017 15:49 - Anna Maria Bigatti

Another run of make ManExamples
#13 - 28 Apr 2017 16:15 - Anna Maria Bigatti

- Description updated

#14 - 28 Apr 2017 17:08 - Anna Maria Bigatti

Fixed all bugs in manual (found with  make ManExamples)

#15 - 29 Apr 2017 08:26 - Anna Maria Bigatti

- Description updated

#16 - 01 May 2017 21:28 - Anna Maria Bigatti

last minute bug fix:  IsPrimary false positive in some cases (found by Sandro Logar)

#17 - 02 May 2017 14:32 - Anna Maria Bigatti

- Related to Design #766: CoCoA version number: copy CoCoALib added

#18 - 02 May 2017 14:54 - Anna Maria Bigatti

- Description updated

#19 - 02 May 2017 15:01 - Anna Maria Bigatti

-- release for Mac is done

#20 - 02 May 2017 15:02 - Anna Maria Bigatti

- Description updated

#21 - 03 May 2017 13:44 - Anna Maria Bigatti

- % Done changed from 10 to 40

released cocoa for linux

(asked testing)

#22 - 05 May 2017 15:56 - Anna Maria Bigatti

manual pdf and html uploaded

#23 - 05 May 2017 15:59 - Anna Maria Bigatti

- Description updated

#24 - 05 May 2017 16:01 - Anna Maria Bigatti

- Description updated

#25 - 05 May 2017 18:54 - Anna Maria Bigatti

Compiled on windows, improved script release-win-fromMac.sh.

Uploaded release for windows.

Updated install5 web pages.

#26 - 05 May 2017 18:54 - Anna Maria Bigatti

- % Done changed from 40 to 80

#27 - 05 May 2017 19:35 - Anna Maria Bigatti

Trying to test windows release.
From shell it works.

From emacs I don't know: I do not have enough privilegies on the virtual machine to set the environment variable HOME)

#28 - 06 May 2017 21:34 - Anna Maria Bigatti

Another failed attempt to test the windows emacs version on my virtual machine...

+ some clarification in windows installation instructions.

#29 - 08 May 2017 09:48 - Anna Maria Bigatti

- % Done changed from 80 to 90

Sent email and notice on facebook page

#30 - 08 May 2017 11:48 - Anna Maria Bigatti

- Description updated

updated list with undelivered emails

#31 - 08 May 2017 11:49 - Anna Maria Bigatti

published manual on ResearchGate

#32 - 08 May 2017 11:57 - Anna Maria Bigatti

- Estimated time changed from 15.00 h to 14.01 h

Closing issue, cleaning up redmine

#33 - 08 May 2017 11:57 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#34 - 08 May 2017 11:58 - Anna Maria Bigatti

- Copied to Support #1061: Release: CoCoA-5.2.2 added

#35 - 16 Sep 2018 17:58 - Anna Maria Bigatti

- Related to Support #1149:  Release: CoCoALib-0.99600 (together with CoCoA-5.2.4) added
